Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Sortie de Fedora Linux 35 Beta

#1 20/02/2021 15:13:09

felixltx
Membre
Inscription : 25/09/2013
Messages : 79

[Résolu] Impossible d'installer correctement wine sous FEDORA 33

J'utilise Wine pour deux de mes logiciels (Dictée dragon  et gpscomp). Depuis cette version 33, wine refuse toute installation de logiciel .exe (32 ou 64 b). Certaines bibliothèques .msi.
Les bibliothèques sont en 64 et l'installation requiert certaines bibliothèques en 32. D'ou une liste énorme de bibliothèques en i686 en conflit avec les versions X64 (voir ci-dessous). Il semble que Wine ait besoin de ces bibliothèques en 32 bit pour sa compatibilité avec l'ensemble des programmes 32 ou 64

Test de la transaction
La vérification de la transaction a réussi.
Lancement de la transaction de test
Les paquets téléchargés ont été mis en cache jusqu’à la prochaine transaction réussie.
Vous pouvez supprimer les paquets en cache en exécutant « dnf clean packages ».
Erreur : Erreur de la transaction de test :
  le fichier /usr/share/gcc-10/python/libstdcxx/__pycache__/__init__.cpython-39.opt-1.pyc de l'installation de libstdc++-10.2.1-9.fc33.i686 entre en conflit avec le fichier du paquet libstdc++-10.2.1-3.fc33.x86_64
  le fichier /usr/share/gcc-10/python/libstdcxx/__pycache__/__init__.cpython-39.pyc de l'installation de libstdc++-10.2.1-9.fc33.i686 entre en conflit avec le fichier du paquet libstdc++-10.2.1-3.fc33.x86_64
  le fichier /usr/share/gcc-10/python/libstdcxx/v6/__pycache__/__init__.cpython-39.opt-1.pyc de l'installation de libstdc++-10.2.1-9.fc33.i686 entre en conflit avec le fichier du paquet libstdc++-10.2.1-3.fc33.x86_64
  le fichier /usr/share/gcc-10/python/libstdcxx/v6/__pycache__/__init__.cpython-39.pyc de l'installation de libstdc++-10.2.1-9.fc33.i686 entre en conflit avec le fichier du paquet libstdc++-10.2.1-3.fc33.x86_64
  le fichier /usr/share/gcc-10/python/libstdcxx/v6/__pycache__/printers.cpython-39.opt-1.pyc de l'installation de libstdc++-10.2.1-9.fc33.i686 entre en conflit avec le fichier du paquet libstdc++-10.2.1-3.fc33.x86_64
  le fichier /usr/share/gcc-10/python/libstdcxx/v6/__pycache__/printers.cpython-39.pyc de l'installation de libstdc++-10.2.1-9.fc33.i686 entre en conflit avec le fichier du paquet libstdc++-10.2.1-3.fc33.x86_64
  le fichier /usr/share/gcc-10/python/libstdcxx/v6/__pycache__/xmethods.cpython-39.opt-1.pyc de l'installation de libstdc++-10.2.1-9.fc33.i686 entre en conflit avec le fichier du paquet libstdc++-10.2.1-3.fc33.x86_64
  le fichier /usr/share/gcc-10/python/libstdcxx/v6/__pycache__/xmethods.cpython-39.pyc de l'installation de libstdc++-10.2.1-9.fc33.i686 entre en conflit avec le fichier du paquet libstdc++-10.2.1-3.fc33.x86_64
  le fichier /usr/share/gcc-10/python/libstdcxx/v6/printers.py de l'installation de libstdc++-10.2.1-9.fc33.i686 entre en conflit avec le fichier du paquet libstdc++-10.2.1-3.fc33.x86_64
  le fichier /usr/share/locale/en@boldquot/LC_MESSAGES/elfutils.mo de l'installation de elfutils-libelf-0.182-1.fc33.i686 entre en conflit avec le fichier du paquet elfutils-libelf-0.181-1.fc33.x86_64
  le fichier /usr/share/locale/en@quot/LC_MESSAGES/elfutils.mo de l'installation de elfutils-libelf-0.182-1.fc33.i686 entre en conflit avec le fichier du paquet elfutils-libelf-0.181-1.fc33.x86_64
  le fichier /usr/share/doc/freetype/README de l'installation de freetype-2.10.4-1.fc33.i686 entre en conflit avec le fichier du paquet freetype-2.10.2-3.fc33.x86_64
  le fichier /usr/share/alsa/cards/USB-Audio.conf de l'installation de alsa-lib-1.2.4-5.fc33.i686 entre en conflit avec le fichier du paquet alsa-lib-1.2.3.2-5.fc33.x86_64
  le fichier /usr/share/doc/libgomp/ChangeLog.bz2 de l'installation de libgomp-10.2.1-9.fc33.i686 entre en conflit avec le fichier du paquet libgomp-10.2.1-3.fc33.x86_64
  le fichier /usr/share/doc/libgpg-error/AUTHORS de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/doc/libgpg-error/NEWS de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/libgpg-error/errorref.txt de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/cs/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/da/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/de/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/eo/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/es/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/fr/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/hu/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/it/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/ja/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/nl/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/pl/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/pt/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/ro/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/ru/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/sr/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/sv/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/uk/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/vi/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/zh_CN/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/locale/zh_TW/LC_MESSAGES/libgpg-error.mo de l'installation de libgpg-error-1.41-1.fc33.i686 entre en conflit avec le fichier du paquet libgpg-error-1.37-2.fc33.x86_64
  le fichier /usr/share/doc/libgcrypt/NEWS de l'installation de libgcrypt-1.8.7-1.fc33.i686 entre en conflit avec le fichier du paquet libgcrypt-1.8.6-4.fc33.x86_64
  le fichier /usr/share/man/man5/krb5.conf.5.gz de l'installation de krb5-libs-1.18.2-29.fc33.i686 entre en conflit avec le fichier du paquet krb5-libs-1.18.2-22.fc33.x86_64
  le fichier /usr/share/man/man1/debuginfod-find.1.gz de l'installation de elfutils-debuginfod-client-0.182-1.fc33.i686 entre en conflit avec le fichier du paquet elfutils-debuginfod-client-0.181-1.fc33.x86_64
  le fichier /usr/share/doc/gstreamer1/NEWS de l'installation de gstreamer1-1.18.2-1.fc33.i686 entre en conflit avec le fichier du paquet gstreamer1-1.18.0-1.fc33.x86_64
  le fichier /usr/share/doc/gstreamer1/RELEASE de l'installation de gstreamer1-1.18.2-1.fc33.i686 entre en conflit avec le fichier du paquet gstreamer1-1.18.0-1.fc33.x86_64
  le fichier /usr/share/locale/bg/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/ca/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/es/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/fr/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/hr/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/hu/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/it/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/ja/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/kk/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/nl/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/nn/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/pl/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/pt/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/pt_BR/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/sk/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/sv/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/tr/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64
  le fichier /usr/share/locale/zh_TW/LC_MESSAGES/pulseaudio.mo de l'installation de pulseaudio-libs-14.0-2.fc33.i686 entre en conflit avec le fichier du paquet pulseaudio-libs-13.99.2-1.fc33.x86_64

[root@localhost ordidubas]# 

Si quelqu'un a une super idée afin que je puisse à nouveau travailler à 100% sur ma Fedora sans passer par W10 en virtualbox, ce serait génial. Merci  par avance. Pour info jusqu'à la 32 ça a toujours bien fonctionné...

Hors ligne

#2 20/02/2021 17:50:34

Refuznik
Membre
Inscription : 31/01/2007
Messages : 7 968

Re : [Résolu] Impossible d'installer correctement wine sous FEDORA 33

Tu peux utiliser la commande allowerasing et ré-installer après les paquets en i686 effacés.

Hors ligne

#3 20/02/2021 19:23:14

felixltx
Membre
Inscription : 25/09/2013
Messages : 79

Re : [Résolu] Impossible d'installer correctement wine sous FEDORA 33

J'ai essayé, mais rien à faire, en fait les i686 ne s'installent pas ils sont en conflit avec les memes bibliothèques X64, et c'est là le problème, il faudrait que je puisse installer l'architecture i686 à coté de l'architecture X64. Sur Mint l'architecture I386 s'installe super bien et donc tout fonctionne à merveille. Ce qui m'étonne c'est que Dragon est en 64 Bit et rien ne s'installe, franchement je vois pas quoi faire (et même en supprimant .wine et en relancant le winecfg il ne redemande pas wine mono et gecko lorsque qu'il recrée le dossier .wine) Par contre sur une version de 32 vers 33 pas de problème. Ici il s'agit d'une fresh install de Fed33

Hors ligne

#4 20/02/2021 22:09:01

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 283

Re : [Résolu] Impossible d'installer correctement wine sous FEDORA 33

les fichiers i686 qui ne peuvent pas s'installer sont d'une version plus récente que les  x86_64 c'est pour ça qu'ils ne sont pas compatibles.

libgpg-error-1.41-1.fc33.i686       et    libgpg-error-1.37-2.fc33.x86_64

c'est ça qu'il faut régler


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#5 21/02/2021 10:15:49

felixltx
Membre
Inscription : 25/09/2013
Messages : 79

Re : [Résolu] Impossible d'installer correctement wine sous FEDORA 33

Merci à tous les deux, allowera

Hors ligne

#6 21/02/2021 10:19:00

felixltx
Membre
Inscription : 25/09/2013
Messages : 79

Re : [Résolu] Impossible d'installer correctement wine sous FEDORA 33

Merci à tous les deux, allowerasing ne fonctionne pas (j'avais déjà fait le --best -allowerasing). J'ai donc dû désinstaller les bibliothèques manuellement (et il y a des dépendances au km), puis réinstaller wine. ET CA FONCTIONNE. Merci

Hors ligne

#7 14/05/2021 14:36:50

ss6639370
Membre
Lieu : Canada
Inscription : 14/05/2021
Messages : 1

Re : [Résolu] Impossible d'installer correctement wine sous FEDORA 33

les fichiers i686 qui ne peuvent pas s'installer sont d'une version plus récente que les  x86_64 c'est pour ça qu'ils ne sont pas compatibles.

Hors ligne

#8 14/05/2021 17:59:14

felixltx
Membre
Inscription : 25/09/2013
Messages : 79

Re : [Résolu] Impossible d'installer correctement wine sous FEDORA 33

Il suffit de desinstaller les fichiers (un par un,avec dnf remove) qui posent problème et ensuite relancer l'install de wine. Perso ça a bien fonctionné. Pour une nouvelle install, il faut installer wine en premier, avant toute opération d'installation de fichiers ou de mise à jour, et après ça se met à niveau tout seul.

Dernière modification par felixltx (14/05/2021 18:01:35)

Hors ligne

Pied de page des forums